Skip to Content

Activate the reviewed Shopify post-delivery check-in

Publishes the saved setup's reviewed send selection on its own journey.

POST
/v1/integrations/catalog/recipes/post-delivery-check-in/setups/{id}/activate

Publishes the saved setup's reviewed send selection on its own journey. Reuse the same revision and selection after an interrupted response. A changed setup returns 409. Existing runs keep their published version.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

application/json
  1. body
revision*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
selection*|

Response Body

ActivatedRecipeSetup

application/json
  1. response
setup*
journey*
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeSetupActivate({
  "id": "example",
  "revision": "example",
  "selection": {
    "channel": "email",
    "publicationId": "example"
  }
});
Example Response
{
  "setup": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "revision": "b587a570-d9a5-40c2-87da-edba28b3005f",
    "references": {
      "channel": "email",
      "templateFamilyId": "string",
      "integrationAccountId": "string",
      "publicationId": "string",
      "senderId": "string",
      "whatsappAccountId": "string",
      "registrationId": "string",
      "mailboxEndpointId": "string",
      "journeyId": "string",
      "eventBindings": {
        "property1": "string",
        "property2": "string"
      }
    },
    "updatedAt": "string"
  },
  "journey": {
    "id": "string",
    "status": "draft",
    "publishedVersion": -9007199254740991
  }
}

Related documentation